<?php

namespace App\Service;

use App\Exception\ParamsException as ParamsException;
use App\Exception\SqlException as SqlException;

class PaymentService {

    private $paymentFactory;
    private $util;
    
    public function __construct (\App\Factory\PaymentFactory $paymentFactory,
                                 \App\Util\Util $util) {
                                     
        $this->paymentFactory = $paymentFactory;
        $this->util           = $util;
    }

    public function getPaymentCode() {
        $paymentCode = $this->paymentFactory->getPaymentCode();

        if(empty($paymentCode)) 
            throw new ParamsException("Tipo de recebimento padrão não cadastrado.");

        return $paymentCode['CDTIPORECE'];
    }

    public function getMoneyReceiptCode() {
        $paymentCode = $this->paymentFactory->getMoneyReceiptCode();

        if(empty($paymentCode)) 
            throw new ParamsException("Não foi possivel encontrar o tipo de recebimento para pagamento em dinheiro.");

        return $paymentCode;
    }

    public function getReceiptType($cdFilial, $dlvMode, $tpReceInte) {
        return $this->paymentFactory->getReceiptType($cdFilial, $dlvMode, $tpReceInte);
    }
}